package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchCollectRecordApi;
import com.docus.server.dto.scheduling.management.SchCollectRecordDTO;
import com.docus.server.service.ISchCollectRecordService;
import com.docus.server.vo.scheduling.management.SchCollectRecordVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集记录表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchCollectRecordController implements SchCollectRecordApi {
    @Resource
    private ISchCollectRecordService iSchCollectRecordService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectRecordVO findById(String id) {
        return iSchCollectRecordService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectRecordVO> search(SearchRequest searchRequest) {
        return iSchCollectRecordService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schCollectRecordDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectRecordDTO schCollectRecordDTO) {
        return iSchCollectRecordService.add(schCollectRecordDTO);
    }

    /**
     * 编辑
     *
     * @param schCollectRecordDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectRecordDTO schCollectRecordDTO) {
        return iSchCollectRecordService.edit(schCollectRecordDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectRecordService.delete(ids);
    }
}
